Skip to main content
GET
List Query API endpoints
Returns all active Query API endpoints for the service.

Permission

The API key must have the control-plane:service:view-query-api-endpoints permission.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the requested organization.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
serviceId
string<uuid>
required

ID of the requested service.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$

Query Parameters

cursor
string

Cursor returned as nextCursor on the previous page.

limit
integer
default:100

Maximum number of records to return per page. Defaults to 100. Maximum is 100.

Required range: x <= 100

Response

Successful response.

result
object[]
required

Active Query API endpoints for the service.

limit
integer
required

Maximum number of results returned in this page.

totalCount
integer | null
required

Total number of results across all pages. It has only informative value, thus is not guaranteed and it is provided on a best-effort basis. Null if the total count is unknown.

nextCursor
string | null
required

Cursor for the next page, to be sent as the cursor query parameter. Null on the last page.

status
integer
required

HTTP status code.

Example:

200

requestId
string<uuid>
required

Unique id assigned to every request. UUIDv4

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
Last modified on October 3, 2026